<div class="row">
    <div class="col-md-12 mb-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold">Data Interpretasi Fuzzy</h6>
                <a href="index.php?halaman=nilaifuzzytambah" class="btn btn-sm btn-primary shadow-sm">
                    <i class="fas fa-plus fa-sm text-white-50"></i> Tambah Interpretasi
                </a>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered" id="table">
                        <thead class="bg-white text-dark">
                            <tr>
                                <th>No</th>
                                <th>Kategori</th>
                                <th>Nilai Interpretasi</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $nomor = 1; ?>
                            <?php $ambil = $koneksi->query("SELECT id_fuzzy, kategori, nilai_interpretasi FROM interpretasi_fuzzy"); ?>
                            <?php while ($data = $ambil->fetch_assoc()) { ?>
                                <tr>
                                    <td><?php echo $nomor; ?></td>
                                    <td><?php echo $data["kategori"]; ?></td>
                                    <td><?php echo $data["nilai_interpretasi"]; ?></td>
                                    <td>
                                        <a href="index.php?halaman=nilaifuzzyedit&id=<?php echo $data['id_fuzzy']; ?>" class="btn btn-warning btn-sm m-1">Ubah</a>
                                        <a href="index.php?halaman=nilaifuzzyhapus&id=<?php echo $data['id_fuzzy']; ?>" class="btn btn-danger btn-sm m-1" onclick="return confirm('Apakah Anda Yakin Ingin Menghapus Data?')">Hapus</a>
                                    </td>
                                </tr>
                                <?php $nomor++; ?>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>