-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Waktu pembuatan: 08 Jun 2025 pada 07.20
-- Versi server: 10.4.25-MariaDB
-- Versi PHP: 8.1.10

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `sistempakarmamdani`
--

-- --------------------------------------------------------

--
-- Struktur dari tabel `admin`
--

CREATE TABLE `admin` (
  `idadmin` int(11) NOT NULL,
  `nama` text NOT NULL,
  `email` text NOT NULL,
  `username` text NOT NULL,
  `password` text NOT NULL,
  `level` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data untuk tabel `admin`
--

INSERT INTO `admin` (`idadmin`, `nama`, `email`, `username`, `password`, `level`) VALUES
(1, 'Admin', 'admin@gmail.com', 'admin', 'admin', '');

-- --------------------------------------------------------

--
-- Struktur dari tabel `gejala`
--

CREATE TABLE `gejala` (
  `idgejala` int(11) NOT NULL,
  `gejala` text NOT NULL,
  `kodegejala` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data untuk tabel `gejala`
--

INSERT INTO `gejala` (`idgejala`, `gejala`, `kodegejala`) VALUES
(33, 'Bibit/tanaman layu', 'G01'),
(34, 'Pangkal batang berlekuk dan membusuk hingga meluas ke daun bibit dan mati', 'G02'),
(35, 'Jika batang belum berkayu tanaman akan rebah, membusuk warna hitam meluas  ke daun dan mati', 'G03'),
(36, 'Daun tampak bercak bercak tidak teratur berwarna hijau tua', 'G04'),
(37, 'Adanya garis bergerigi, permukaan daun tidak rata, bentuk daun berubah, dan pertumbuhan terhambat', 'G05'),
(38, 'Apabila terserang pada umur muda pertumbuhan terhambat dan menjadi kerdil', 'G06'),
(39, 'Daun berkerut-kerut seperti kerupuk, tepi daun melengkung ke atas dan ke bawah', 'G07'),
(40, 'Tulang daun menebal, permukaan daun tidak rata, bentuk berubah, dan pertumbuhan daun terhambat', 'G08'),
(41, 'Pertumbuhan terhambat, tanaman menjadi kerdil dan daun  pucuk menjadi keriting', 'G09'),
(42, 'Pangkal batang berwarna hitam menyeluruh, dan membusuk kering hingga meluas ke seluruh daun hingga mati', 'G10'),
(43, 'Jika batang dibelah tampak empulur kering yang bersekat', 'G11'),
(44, 'Daun yang diserang memiliki bercak coklat terang, makin lama membesar dan menyebar ke batang, layu, dan mati', 'G12'),
(45, 'Daun bagian bawah tampak bercak bercak kecil berwarna putih dengan bagian pinggir coklat', 'G13'),
(46, 'Bagian tengah bercak terdapat bintik-bintik hitam', 'G14'),
(47, 'Daun kering (krosok) tampak bercak-bercak kecil berwarna hijau di gudang pengering', 'G15'),
(48, 'Pangkal batang berwarna hitam', 'G16'),
(49, 'Tanaman layu dan mati', 'G17'),
(50, 'Bagian tengah batang membusuk', 'G18'),
(51, 'Bercak pada daun berwarna coklat dengan banyak cincin halus berwarna coklat tua', 'G19'),
(52, 'Bercak dapat menyatu hingga ke tepi daun, menyebabkan warna coklat menyebar', 'G20'),
(53, 'Ukuran bercak sekitar 1 - 2 cm', 'G21'),
(55, 'Sisi atas daun tampak bercak-bercak putih kelabu tipis', 'G22'),
(56, 'Sisi atas daun tampak bercak-bercak putih kelabu tipis', 'G23'),
(57, 'Penyakit berkembang sebelum musim penghujan', 'G24'),
(58, 'Tanaman menjadi kerdil', 'G25'),
(59, 'Warna daun  kekuningan, layu, dan mati', 'G26'),
(60, 'Terdapat bercak nekrotik pada daun', 'G27'),
(61, 'Timbul jelaga yang menutupi permukaan daun', 'G28'),
(62, 'Bekas gigitan pada daun tidak beraturan', 'G29'),
(63, 'Terdapat ulat/larva di atas/bawah daun', 'G30'),
(64, 'Menyisakan tulang daun', 'G31');

-- --------------------------------------------------------

--
-- Struktur dari tabel `interpretasi_fuzzy`
--

CREATE TABLE `interpretasi_fuzzy` (
  `id_fuzzy` int(11) NOT NULL,
  `kategori` varchar(50) NOT NULL,
  `nilai_interpretasi` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data untuk tabel `interpretasi_fuzzy`
--

INSERT INTO `interpretasi_fuzzy` (`id_fuzzy`, `kategori`, `nilai_interpretasi`) VALUES
(1, 'Gejala Umum/Tidak Spesifik', '0.4'),
(2, 'Gejala Cukup Spesifik', '0.7'),
(3, 'Gejala Sangat Spesifik', '1');

-- --------------------------------------------------------

--
-- Struktur dari tabel `penyakit`
--

CREATE TABLE `penyakit` (
  `idpenyakit` int(11) NOT NULL,
  `kode_penyakit` text NOT NULL,
  `namapenyakit` text NOT NULL,
  `penjelasan` text NOT NULL,
  `solusi` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data untuk tabel `penyakit`
--

INSERT INTO `penyakit` (`idpenyakit`, `kode_penyakit`, `namapenyakit`, `penjelasan`, `solusi`) VALUES
(3, 'P01', 'Rebah Semai', 'Penyakit rebah semai dan busuk batang adalah penyakit yang menyerang tanaman muda, khususnya pada fase persemaian. Penyakit ini disebabkan oleh jamur Pythium aphanidermatum yang menyerang bagian pangkal batang tanaman.', 'a.	Menanam bibit yang sehat\r\nb.	Mendisinfeksi tanah sebelum penyemaian\r\nc.	Menyemprot atau merendam bibit dengan fungisida sebelum penanaman'),
(4, 'P02', 'Mozaik Ketimun\r\n\r\n', 'Penyakit Mozaik Ketimun adalah penyakit yang disebabkan oleh virus Cucumber Mosaic Virus (CMV), yang menyerang tanaman ketimun dan menyebabkan daun tampak belang atau bercak-bercak tidak teratur berwarna hijau tua, mirip pola mozaik.', 'a.	Hindari menanam benih di tanah yang pernah ditanami inang virus seperti terong, paprika, semangka, tomat dan bayam karena rentan terinfeksi\r\nb.	Tambahkan abu tonang dan abu serpihan di area pembibitan untuk mencegah pertumbuhan virus\r\nc.	Kurangi penggunaan pupuk nitrogen (N)\r\nd.	Cabut dan musnahkan tanaman yang terinfeksi'),
(5, 'P03', 'Kerupuk\r\n\r\n', 'Penyakit Virus Kerupuk dan Keriting adalah penyakit yang disebabkan oleh virus Tobacco Leaf Curl Virus (TLCV), yang menyerang tanaman dan menyebabkan daun menjadi berkerut seperti kerupuk. ', 'a.	Cabut dan musnahkan tanaman yang terinfeksi\r\nb.	Kendalikan vector B.tabaci dengan insektisida berbahan aktif dimethoate atau imidakloprid'),
(12, 'P04', 'Lanas\r\n\r\n', 'Penyakit Lanas adalah penyakit yang menyerang tanaman tembakau dan disebabkan oleh jamur Phytophthora nicotianae.', 'a.	Mencabut dan membakar tanaman terinfeksi\r\nb.	Meninggikan guludan untuk drainase yang baik\r\nc.	Menggunakan pupuk kandang yang matang\r\nd.	Menanam varietas tahan penyakit\r\ne.	Menyemprot pangkal batang dengan fungisida'),
(13, 'P05', 'Patik', 'Penyakit Patik adalah penyakit yang menyerang daun tembakau, disebabkan oleh jamur Cercospora nicotianae. Penyakit ini ditandai dengan munculnya bercak-bercak kecil pada bagian bawah daun yang berwarna putih dengan tepi berwarna coklat.', 'a.	Buang daun terinfeksi dan musnahkan sisa tanaman\r\nb.	Gunakan benih dari Lembaga resmi\r\nc.	Petik lebih awal jika infeksi berat, lalu beri asap\r\nd.	Gunakan bayleton sebagai pengganti karbendazim'),
(15, 'P06', 'Batang Berlubang', 'Penyakit batang berlubang adalah penyakit yang disebabkan oleh bakteri Erwinia carotovora var. carotovora Biasanya penyakit ini muncul setelah tembakau di pangkas (“punggel”) atau diwiwil (dihilangkan tunas sampingnya).', 'a.	Hindari melukai akar atau batang saat pembumbuhan dengan menggunakan tanah halus\r\nb.	Lakukan wiwil saat kelembaban rendah\r\nc.	Pembumbuhan dilakukan setelah luka mengering\r\nd.	Jaga kebersihan tangan pekerja saat wiwil untuk mencegah penyebaran pathogen\r\ne.	Pisahkan daun dari tanaman yang sakit'),
(16, 'P07', 'Karat Hitam', 'Penyakit Karat Hitam adalah penyakit yang menyerang daun tanaman, terutama pada tanaman tembakau. Penyakit ini disebabkan oleh bakteri Pseudomonas pseudozoologloea yang masuk melalui luka atau celah pada daun.', 'a.	Menanam varietas tahan penyakit\r\nb.	Menjaga kebersihan lahan\r\nc.	Menggunakan fungisida berbahan aktif mancozeb'),
(17, 'P08', 'Embun Tepung', 'Penyakit Embun Tepung adalah penyakit yang menyerang daun tanaman, terutama menyerang pada sisi atas daun. Penyakit ini disebabkan oleh jamur Oidium tabaci.', 'a.	Menjaga sirkulasi udara yang baik\r\nb.	Memangkas daun terinfeksi\r\nc.	Menggunakan fungisida berbahan aktif belerang'),
(18, 'H01', 'Hama Kutu Daun Persik', 'Kutu daun persik (Myzus persicae) adalah serangga hama yang bersifat polifag, artinya dapat menyerang berbagai jenis tanaman. Hama ini menyerang dengan cara mengisap cairan dari daun tanaman, baik dalam bentuk nimfa (umur 7–10 hari) maupun imago (dewasa, umur hingga 60 hari), yang mengakibatkan kerusakan pada sel dan jaringan daun.', 'a.	Memangkas dan membuang bagian tanaman yang terinfeksi\r\nb.	Memanfaatkan musuh alami seperti kepik coccinellidae dan larva chrysopidae'),
(19, 'H02', 'Hama Kutu Kebul', 'Kutu kebul (Bemisia tabaci) adalah hama serangga yang bersifat polifag, artinya dapat menyerang berbagai jenis tanaman. Hama ini merusak tanaman dengan cara mengisap cairan dari daun, baik pada fase nimfa maupun imago.', 'a.	Membersihkan gulma dan tanaman inang lainya\r\nb.	Mencabut bibit terinfeksi yang menunjukkan daun keriting\r\nc.	Manfaatkan predator alami seperti kumbang macan, jangkrik, dan semut merah\r\nd.	Menggunakan insektisida bahan aktif etiprol'),
(20, 'H03', 'Hama Ulat Grayak', 'Ulat grayak adalah salah satu hama penting yang menyerang berbagai jenis tanaman budidaya. Hama ini bersifat polifag, artinya dapat menyerang berbagai jenis tanaman inang. Serangan utama dilakukan oleh larva/ulat yang memakan daun hingga terlihat berlubang-lubang, dan ulat biasanya ditemukan di permukaan atas maupun bawah daun.', 'a.	Mengumpulkan dan memusnahkan telur serta larva\r\nb.	Mengelolah tanah untuk membasmi pupa dengan pestisida nabati dari daun dan biji mimba');

-- --------------------------------------------------------

--
-- Struktur dari tabel `penyakit_gejala`
--

CREATE TABLE `penyakit_gejala` (
  `id_penyakit_gejala` int(11) NOT NULL,
  `kode_gejala` varchar(10) NOT NULL,
  `kode_penyakit` varchar(10) NOT NULL,
  `nilai` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data untuk tabel `penyakit_gejala`
--

INSERT INTO `penyakit_gejala` (`id_penyakit_gejala`, `kode_gejala`, `kode_penyakit`, `nilai`) VALUES
(196, 'G01', 'P01', '0.4'),
(197, 'G02', 'P01', '1'),
(198, 'G03', 'P01', '1'),
(199, 'G04', 'P02', '0.7'),
(200, 'G05', 'P02', '0.4'),
(201, 'G06', 'P02', '1'),
(202, 'G07', 'P03', '0.7'),
(203, 'G08', 'P03', '0.7'),
(204, 'G09', 'P03', '1'),
(205, 'G10', 'P04', '1'),
(206, 'G11', 'P04', '0.7'),
(207, 'G12', 'P04', '0.7'),
(208, 'G13', 'P05', '0.4'),
(209, 'G14', 'P05', '0.4'),
(210, 'G15', 'P05', '0.7'),
(211, 'G16', 'P06', '0.7'),
(212, 'G17', 'P06', '0.7'),
(213, 'G18', 'P06', '1'),
(214, 'G19', 'P07', '1'),
(215, 'G20', 'P07', '1'),
(216, 'G21', 'P07', '0.7'),
(217, 'G22', 'P08', '1'),
(218, 'G23', 'P08', '1'),
(219, 'G24', 'P08', '0.4'),
(220, 'G25', 'H01', '0.4'),
(221, 'G26', 'H01', '0.7'),
(222, 'G25', 'H02', '0.4'),
(223, 'G27', 'H02', '0.7'),
(224, 'G28', 'H02', '1'),
(225, 'G29', 'H03', '1'),
(226, 'G30', 'H03', '0.4'),
(227, 'G31', 'H03', '1');

-- --------------------------------------------------------

--
-- Struktur dari tabel `rule`
--

CREATE TABLE `rule` (
  `idrule` int(11) NOT NULL,
  `koderule` text NOT NULL,
  `kode_penyakit` text NOT NULL,
  `kodegejala` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data untuk tabel `rule`
--

INSERT INTO `rule` (`idrule`, `koderule`, `kode_penyakit`, `kodegejala`) VALUES
(30, 'R1', 'P01', 'G01,G02,G03'),
(31, 'R2', 'P02', 'G04,G05,G06'),
(32, 'R3', 'P03', 'G07,G08,G09'),
(33, 'R4', 'P04', 'G10,G11,G12'),
(61, 'R5', 'P05', 'G13,G14,G15'),
(62, 'R6', 'P06', 'G16,G17,G18'),
(63, 'R7', 'P07', 'G19,G20,G21'),
(64, 'R8', 'P08', 'G22,G23,G24'),
(65, 'R9', 'H01', 'G25,G26'),
(66, 'R10', 'H02', 'G25,G27,G28'),
(68, 'R12', 'H03', 'G29,G30,G31');

--
-- Indexes for dumped tables
--

--
-- Indeks untuk tabel `admin`
--
ALTER TABLE `admin`
  ADD PRIMARY KEY (`idadmin`);

--
-- Indeks untuk tabel `gejala`
--
ALTER TABLE `gejala`
  ADD PRIMARY KEY (`idgejala`);

--
-- Indeks untuk tabel `interpretasi_fuzzy`
--
ALTER TABLE `interpretasi_fuzzy`
  ADD PRIMARY KEY (`id_fuzzy`);

--
-- Indeks untuk tabel `penyakit`
--
ALTER TABLE `penyakit`
  ADD PRIMARY KEY (`idpenyakit`);

--
-- Indeks untuk tabel `penyakit_gejala`
--
ALTER TABLE `penyakit_gejala`
  ADD PRIMARY KEY (`id_penyakit_gejala`);

--
-- Indeks untuk tabel `rule`
--
ALTER TABLE `rule`
  ADD PRIMARY KEY (`idrule`);

--
-- AUTO_INCREMENT untuk tabel yang dibuang
--

--
-- AUTO_INCREMENT untuk tabel `admin`
--
ALTER TABLE `admin`
  MODIFY `idadmin` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT untuk tabel `gejala`
--
ALTER TABLE `gejala`
  MODIFY `idgejala` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=65;

--
-- AUTO_INCREMENT untuk tabel `interpretasi_fuzzy`
--
ALTER TABLE `interpretasi_fuzzy`
  MODIFY `id_fuzzy` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT untuk tabel `penyakit`
--
ALTER TABLE `penyakit`
  MODIFY `idpenyakit` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=21;

--
-- AUTO_INCREMENT untuk tabel `penyakit_gejala`
--
ALTER TABLE `penyakit_gejala`
  MODIFY `id_penyakit_gejala` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=228;

--
-- AUTO_INCREMENT untuk tabel `rule`
--
ALTER TABLE `rule`
  MODIFY `idrule` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=69;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
