<div class="row">
    <div class="col-md-12 mb-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold  ">Tambah Rule</h6>
            </div>
            <div class="card-body">
                <form method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label>Kode Rule</label>
                        <input type="text" class="form-control" name="koderule" required>
                    </div>
                    <div class="form-group">
                        <label>Penyakit</label>
                        <select name="kode_penyakit" class="form-control">
                            <option value="">--Pilih--</option>
                            <?php $ambilpenyakit = $koneksi->query("SELECT * FROM penyakit");
                            while ($rowp = $ambilpenyakit->fetch_assoc()) { ?>
                                <option value="<?= $rowp['kode_penyakit'] ?>"><?= $rowp['kode_penyakit'] ?> - <?= $rowp['namapenyakit'] ?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Gejala</label>
                        <select name="kodegejala[]" class="form-control select2" multiple="multiple" id="gejalaSelect">
                            <option value="">--Pilih--</option>
                            <?php $ambilgejala = $koneksi->query("SELECT * FROM gejala");
                            while ($rowg = $ambilgejala->fetch_assoc()) { ?>
                                <option value="<?= $rowg['kodegejala'] ?>"><?= $rowg['kodegejala'] ?> - <?= $rowg['gejala'] ?></option>
                            <?php } ?>
                        </select>
                    </div>


                    <button type="submit" class="btn btn-primary" name="save"><i class="glyphicon glyphicon-saved"></i>Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php
if (isset($_POST['save'])) {
    $koderule = mysqli_real_escape_string($koneksi, $_POST['koderule']);
    $kode_penyakit = mysqli_real_escape_string($koneksi, $_POST['kode_penyakit']);
    $kodegejala = $_POST['kodegejala']; // Mengambil data sebagai array

    // Menggabungkan gejala menjadi satu string yang dipisahkan dengan spasi
    $kodegejala_string = implode(',', $kodegejala);


    // Insert ke database
    $query = "INSERT INTO rule (koderule, kode_penyakit, kodegejala) VALUES ('$koderule', '$kode_penyakit', '$kodegejala_string')";
    $koneksi->query($query);

    // Menampilkan pesan sukses dan mengarahkan ke halaman pengurus
    echo "<script>alert('Data Berhasil Disimpan');</script>";
    echo "<script>location ='index.php?halaman=ruledaftar';</script>";
}
?>